Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class Rendition

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.Rendition

All Implemented Interfaces:
  Cloneable, IPdfNamedObjectWrapper, IPdfObjectWrapper

Direct Known Subclasses:
  MediaRendition, SelectorRendition

    @PDF(value=PDF15)
    public abstract class Rendition

extends PdfObjectWrapper<PdfDictionary>
implements IPdfNamedObjectWrapper

Rendition [PDF:1.7:9.1.2].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Rendition.Viability` Rendition viability [PDF:1.7:9.1.2].

Constructor Summary
`protected` | `Rendition(Document context, PdfName subtype)`
`protected` | `Rendition(PdfDirectObject baseObject)`

Method Summary
`PdfString` | `getName()` Gets the object name.
`PdfDirectObject` | `getNamedBaseObject()` Gets the object name, if available; otherwise, behaves like `getBaseObject()`.
`Rendition.Viability` | `getPreferences()` Gets the preferred options the renderer should attempt to honor without affecting its viability [PDF:1.7:9.1.1].
`Rendition.Viability` | `getRequirements()` Gets the minimum requirements the renderer must honor in order to be considered viable [PDF:1.7:9.1.1].
`protected PdfString` | `retrieveName()` Retrieves the name possibly associated to this object, walking through the document's name dictionary.
`void` | `setPreferences(Rendition.Viability value)`
`void` | `setRequirements(Rendition.Viability value)`
`static Rendition` | `wrap(PdfDirectObject baseObject)` Wraps a rendition base object into a rendition object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Constructor Detail

### Rendition

    protected Rendition(Document context,
                        PdfName subtype)

### Rendition

    protected Rendition(PdfDirectObject baseObject)

Method Detail

### wrap

    public static Rendition wrap(PdfDirectObject baseObject)

  Wraps a rendition base object into a rendition object.

  Parameters:
    `baseObject` - Rendition base object.
  Returns:
    Rendition object associated to the base object.

### getPreferences

    public Rendition.Viability getPreferences()

  Gets the preferred options the renderer should attempt to honor without affecting its viability [PDF:1.7:9.1.1].

### getRequirements

    public Rendition.Viability getRequirements()

  Gets the minimum requirements the renderer must honor in order to be considered viable [PDF:1.7:9.1.1].

### setPreferences

    public void setPreferences(Rendition.Viability value)

  See Also:
    `getPreferences()`

### setRequirements

    public void setRequirements(Rendition.Viability value)

  See Also:
    `getRequirements()`

### getName

    public PdfString getName()

  Description copied from interface: `IPdfNamedObjectWrapper`
  Gets the object name.

  As names are tipically loosely-coupled with their corresponding PDF objects, name retrieval implies a costly reverse lookup into the document's name tree.

  Specified by:
    `getName` in interface `IPdfNamedObjectWrapper`

### getNamedBaseObject

    public PdfDirectObject getNamedBaseObject()

  Description copied from interface: `IPdfNamedObjectWrapper`
  Gets the object name, if available; otherwise, behaves like `getBaseObject()`.

  Specified by:
    `getNamedBaseObject` in interface `IPdfNamedObjectWrapper`

### retrieveName

    protected PdfString retrieveName()

  Description copied from class: `PdfObjectWrapper`
  Retrieves the name possibly associated to this object, walking through the document's name dictionary.

  Overrides:
    `retrieveName` in class `PdfObjectWrapper<PdfDictionary>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.